## calls-ringer

calls-ringer

## Functions

CallsRinger * | calls_ringer_new ()
CallsRingState | calls_ringer_get_state ()

## Properties

CallsRingState | state | Read

## Types and Values

enum | CallsRingState
#define | CALLS_TYPE_RINGER
| CallsRinger

## Object Hierarchy

        GEnum
        ╰── CallsRingState
        GObject
        ╰── CallsRinger

## Description

## Functions

### calls_ringer_new ()

    CallsRinger *
    calls_ringer_new (void);

### calls_ringer_get_state ()

    CallsRingState
    calls_ringer_get_state (CallsRinger *self);

#### Parameters

self | A CallsRinger |

#### Returns

The CallsRingerState

## Types and Values

### enum CallsRingState

#### Members

CALLS_RING_STATE_INACTIVE |  |
CALLS_RING_STATE_RINGING |  |
CALLS_RING_STATE_RINGING_SOFT |  |
CALLS_RING_STATE_ERROR |  |

### CALLS_TYPE_RINGER

    #define CALLS_TYPE_RINGER (calls_ringer_get_type ())

### CallsRinger

    typedef struct _CallsRinger CallsRinger;

## Property Details

### The `“state”` property

      “state”                    CallsRingState

Owner: CallsRinger

Flags: Read

Default value: CALLS_RING_STATE_INACTIVE